Beginning August 1st, 2020, DTS Connex will block all web traffic from any browser or device that uses the Transport Layer Security (TLS) 1.0 and 1.1 encryption protocol. To align with industry best practices for security and data integrity, only browsers enabled with TLS 1.2 or greater will be able to access DTS Connex. 

To minimize the impact on your business, please review the following:

What do I need to do?

Admins should immediately disseminate this information to their internal IT Departments, colleagues at headquarters, and to appropriate users to ensure TLS 1.2+ is enabled before the August 1st deadline.

Users should immediately ensure they’re using a compliant version of browsers and devices to continue using DTS Connex services.

What is TLS?

“Transport Layer Security” is a widely deployed security protocol that is used to securely exchange data over a network. Using encryption and endpoint identity verification, TLS ensures that when an application connects to a remote endpoint (browser), it is in fact connecting to the intended endpoint. The versions of TLS, to date, are TLS 1.0, 1.1, 1.2, and 1.3.

Why is this change needed?

TLS 1.0 and 1.1 are out-of-date protocols that do not support modern cryptographic algorithms, and they contain security vulnerabilities. Any attempts to use DTS Connex from an outdated browser or device that is currently configured to use TLS 1.0 or TLS 1.1, or one that does not use TLS at all, will no longer have access.

Which browsers are affected?

Most modern browsers have TLS 1.2 enabled by default. A simple check if your browser supports TLS 1.2 or greater can be done by visiting https://www.ssllabs.com/ssltest/viewMyClient.html.

The following browsers and devices are known to be unable to use TLS 1.2+. Please update these to ensure uninterrupted access to DTS Connex:

  • Android 4.3 and earlier versions
  • Firefox version 5.0 and earlier versions
  • Internet Explorer 8-10 on Windows 7 and earlier versions
  • Internet Explorer 10 on Windows Phone 8
  • Safari 6.0.4/OS X10.8.4 and earlier versions

SIGN UP FOR OUR NEWSLETTER

Name
Scroll to Top